For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAdd/Edit Bank Details
      • PATCHChange the auto-withdrawal setting
      • POSTCreate a bank transfer method
      • DELDelete Bank Details
      • POSTDynamic Requirements
      • GETFetch all payout methods
      • GETGet Bank Details
      • GETGet bank transfer requirements
      • GETGet bank transfer supported routes for contractor
      • GETGet the auto-withdrawal setting
      • GETList Contractor Balances
      • POSTRequest to withdraw funds
      • PUTUpdate a bank transfer method
      • POSTUpdate auto withdraw setting for contractor
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsPayouts

Get bank transfer requirements

GET
/payouts/contractors/methods/bank_transfers/requirements
GET
/rest/v2/payouts/contractors/methods/bank_transfers/requirements
$curl -G https://api.letsdeel.com/rest/v2/payouts/contractors/methods/bank_transfers/requirements \
> -H "Authorization: Bearer <token>" \
> -d country=country \
> -d currency=currency
1{
2 "data": [
3 {
4 "type": "turkey",
5 "title": "Local bank account",
6 "fields": [
7 {
8 "name": "Recipient's first name",
9 "group": [
10 {
11 "key": "firstName",
12 "name": "Recipient's first name",
13 "type": "text",
14 "required": true,
15 "max_length": 50
16 }
17 ]
18 },
19 {
20 "name": "Recipient's last name",
21 "group": [
22 {
23 "key": "lastName",
24 "name": "Recipient's last name",
25 "type": "text",
26 "required": true,
27 "max_length": 50
28 }
29 ]
30 },
31 {
32 "name": "Recipient's phone number",
33 "group": [
34 {
35 "key": "phone",
36 "name": "Recipient's phone number",
37 "type": "text",
38 "required": true,
39 "max_length": 20
40 }
41 ]
42 },
43 {
44 "name": "Account Number (IBAN)",
45 "group": [
46 {
47 "key": "bank_account",
48 "name": "Recipient's IBAN",
49 "type": "text",
50 "required": true,
51 "example": "TR1234567890",
52 "max_length": 26
53 }
54 ]
55 }
56 ],
57 "total_fee": "0.0000"
58 },
59 {
60 "type": "swift_code",
61 "title": "SWIFT",
62 "fields": [
63 {
64 "name": "Full name of the account holder",
65 "group": [
66 {
67 "key": "beneficiaryName",
68 "name": "Full name of the account holder",
69 "type": "text",
70 "required": true,
71 "example": "John Doe",
72 "refresh_requirements_on_change": false
73 }
74 ]
75 },
76 {
77 "name": "SWIFT / BIC code",
78 "group": [
79 {
80 "key": "swiftCode",
81 "name": "SWIFT / BIC code",
82 "type": "text",
83 "required": true,
84 "example": "BUKBGB22",
85 "max_length": 11,
86 "validation_regexp": "^[a-zA-Z]{6}(([a-zA-Z0-9]{2})|([a-zA-Z0-9]{5}))$",
87 "refresh_requirements_on_change": true
88 }
89 ]
90 },
91 {
92 "name": "IBAN / Account Number",
93 "group": [
94 {
95 "key": "accountNumber",
96 "name": "IBAN / Account Number",
97 "type": "text",
98 "required": true,
99 "example": "123456789012",
100 "max_length": 34,
101 "validation_regexp": "^[a-zA-Z0-9]{4,34}$",
102 "refresh_requirements_on_change": false
103 }
104 ]
105 }
106 ],
107 "total_fee": "5.0000",
108 "intermediary": [
109 {
110 "name": "BIC of the intermediary bank",
111 "group": [
112 {
113 "key": "intermediary.bic",
114 "name": "BIC of the intermediary bank",
115 "type": "text",
116 "required": true,
117 "example": "BUKBGB22",
118 "max_length": 11,
119 "min_length": 8,
120 "validation_regexp": "^[a-zA-Z]{6}(([a-zA-Z0-9]{2})|([a-zA-Z0-9]{5}))$"
121 }
122 ]
123 },
124 {
125 "name": "Country of the intermediary bank",
126 "group": [
127 {
128 "key": "intermediary.country",
129 "name": "Country of the intermediary bank",
130 "type": "select",
131 "required": true,
132 "example": "Choose a country",
133 "values_allowed": [
134 {
135 "key": "AS",
136 "name": "American Samoa"
137 },
138 {
139 "key": "AD",
140 "name": "Andorra"
141 },
142 {
143 "key": "AO",
144 "name": "Angola"
145 }
146 ]
147 }
148 ]
149 }
150 ]
151 }
152 ]
153}

Returns the field requirements for creating a bank transfer method for the specified country and currency combination, including fee information calculated against the provided amount or a default of 100.00. Token scopes: worker:read, worker:write

Was this page helpful?
Previous

Get bank transfer supported routes for contractor

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

countrystringRequiredformat: "^[A-Z]{2}$"=2 characters
Country code
currencystringRequiredformat: "^[A-Z]{3}$"=3 characters
Currency code
amountdoubleOptional
Amount for calculating fees, if not provided, the default amount of 100.00 is used

Response

Successful operation.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication